from pydantic import BaseModel


class ComfyuiPose2VModel(BaseModel):
    # 骨架生成视频
    image_url: str
    tasks_id: str
    pose_id: str


class ComfyuiI2VModel(BaseModel):
    # 图生视频
    image_url: str
    prompt: str
    tasks_id: str


class ComfyuiFLF2VModel(BaseModel):
    # 首尾帧生视频
    start_image_url: str
    end_image_url: str
    prompt: str
    tasks_id: str
